%global srcname sphinx-hoverxref

Summary:        Sphinx extension to show tooltips with content embedded when hover a reference
Name:           python-sphinx-hoverxref
Version:        1.3.0
Release:        3%{?dist}
License:        MIT
Url:            https://sphinx-hoverxref.readthedocs.io/en/latest/
Source0:        https://github.com/readthedocs/sphinx-hoverxref/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel python3-pytest python3-setuptools

BuildArch:      noarch

%description
sphinx-hoverxref is a Sphinx extension to add tooltips
on the cross references of the documentation with the
content of the linked section.

%package -n python3-%{srcname}
Summary:        Sphinx extension to show tooltips with content embedded when hover a reference
BuildRequires:  python3-sphinx
Requires:       python3-sphinx

%description -n python3-%{srcname}
sphinx-hoverxref is a Sphinx extension to add tooltips
on the cross references of the documentation with the
content of the linked section.


%prep
%autosetup -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest tests/ -k "not test_intersphinx_default_configs and \
		   not test_intersphinx_python_mapping and \
		   not test_intersphinx_all_mappings and \
		   not test_bibtex_domain"

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%dir %{python3_sitelib}/sphinx_hoverxref-%{version}.dist-info/
%{python3_sitelib}/hoverxref/
%{python3_sitelib}/sphinx_hoverxref-%{version}.dist-info/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.0-1
- initial build
